# // Average < FLOAT Array[], INT Array_length >         
+
  Total, Divider = 0 ..

  for I = 0; I < Array_length; I ++
  +
    Total += Array[I]; Divider ++
  ;

  return Total / Divider [ Divider != 0 ] | 0
;
